Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Capsule Class Reference

Inheritance diagram for osg::Capsule:

[legend]
List of all members.

## Public Member Functions
| Capsule ()
| Capsule (const osg::Vec3 &center, float radius, float height)
| Capsule (const Capsule &capsule, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Shape (osg, Capsule)
bool | valid () const
void | set (const Vec3 &center, float radius, float height)
void | setCenter (const Vec3 &center)
const Vec3 & | getCenter () const
void | setRadius (float radius)
float | getRadius () const
void | setHeight (float height)
float | getHeight () const
void | setRotation (const Quat &quat)
const Quat & | getRotation () const
Matrix | computeRotationMatrix () const
bool | zeroRotation () const
## Protected Member Functions
virtual | ~Capsule ()
## Protected Attributes
Vec3 | _center
float | _radius
float | _height
Quat | _rotation

## Constructor & Destructor Documentation

osg::Capsule::Capsule | ( |  | ) | `[inline]`

osg::Capsule::Capsule | ( | const osg::Vec3 & | center,
|  | float | radius,
|  | float | height
| ) | `[inline]`

osg::Capsule::Capsule | ( | const Capsule & | capsule,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osg::Capsule::~Capsule | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

Matrix osg::Capsule::computeRotationMatrix | ( |  | ) | const`[inline]`

const Vec3& osg::Capsule::getCenter | ( |  | ) | const`[inline]`

float osg::Capsule::getHeight | ( |  | ) | const`[inline]`

float osg::Capsule::getRadius | ( |  | ) | const`[inline]`

const Quat& osg::Capsule::getRotation | ( |  | ) | const`[inline]`

osg::Capsule::META_Shape | ( | osg | ,
|  | Capsule |
| ) |

void osg::Capsule::set | ( | const Vec3 & | center,
|  | float | radius,
|  | float | height
| ) | `[inline]`

void osg::Capsule::setCenter | ( | const Vec3 & | center | ) | `[inline]`

void osg::Capsule::setHeight | ( | float | height | ) | `[inline]`

void osg::Capsule::setRadius | ( | float | radius | ) | `[inline]`

void osg::Capsule::setRotation | ( | const Quat & | quat | ) | `[inline]`

bool osg::Capsule::valid | ( |  | ) | const`[inline]`

bool osg::Capsule::zeroRotation | ( |  | ) | const`[inline]`

## Member Data Documentation

Vec3 osg::Capsule::_center`[protected]`

float osg::Capsule::_height`[protected]`

float osg::Capsule::_radius`[protected]`

Quat osg::Capsule::_rotation`[protected]`

The documentation for this class was generated from the following file:

- Shape